* { 
    box-sizing: border-box; 
    margin: 0;
    padding: 0;
}

body {
   
    display: flex;
    flex-direction: column;
    min-height: 100vh;

    padding-top: 35px;

    background-image: url("../img/background-fondo.jpg");
    background-size: cover;        /* que cubra toda la pantalla */
    background-position: center;   /* centrada */
    background-repeat: no-repeat;  /* que no se repita */
    background-attachment: fixed;  /* efecto fijo al hacer scroll */

 }


div#menu { 
    position: fixed; 
    top: 0;
    left: 0;
    /*background: #FFFF33; */
    background: hsl(59, 93%, 52%);
    /*background-color: #ffd700;*/
    box-shadow: 0 2px 8px rgba(0,0,0,0.15);
    width: 100%; 
    text-align: center; 
    height: 95px; 
    display: flex;              /* activa flexbox:se colocan en una misma fila (horizontalmente)  #FFFF33*/
    align-items: center;        /*alinea los elementos verticalmente al centro*/
    justify-content: space-between; /*separa título y menú #FFFF00*/
    padding: 0 20px; 
    z-index: 1000;/*controla qué va arriba o abajo el menu*/

}

section {   /*Codigo nuevo que se agrego 31/03/2026*/
   padding-top: 120px; /*Agrega un espacio arriba al contenido*/
   flex: 1;

}

div#menu ul { 
    list-style: none;
   /* display: inline-block; No funciona afecta al submenu asi ya esta bien*/
}

div#menu ul li { 
    display: inline-block; 
    width: 180px;
    
    position: relative; 
}

div#menu ul li a {   
    display: block; 
    color: #000000; 
    font: bold 1.2em Helvetica; 
    text-decoration: none; 
}

div#menu ul li a:hover {
    color:  #0D25D9 ; /*Color azul*/
    /*color:#FF0000 Color rojo #1A237E #0000FF*/
}

header{
    display: flex;
    text-align: left;
    font: 1.2em Arial;
   /* gap: 10px; espacio entre logo y texto */
    align-items: center;
}

header img{
    margin-left: 90px;
}

section#inicio h1 {
    text-align: center;        /* centra el texto */
    font-size: 3em;            /* tamaño grande */
    color: rgb(173, 14, 14); /* color del texto */
    margin-top: 35px;          /* espacio arriba */
    margin-bottom: 50px; /*espacio debajo*/
    font-family: 'Poppins', sans-serif; 
    text-shadow: 2px 2px 4px rgba(0,0,0,0.5); /* sombra para contraste */
}

section#inicio h2{
    color: rgb(173, 14, 14); 
    font-size: 2.5em;  
    text-align: center;
    margin-top: 50px;         
    margin-bottom: 50px;
    font-family: 'Poppins', sans-serif;
    text-shadow: 2px 2px 4px rgba(0,0,0,0.5);
}

section#inicio p{
    text-align: center;
    font-size: 3em;
    /*color:#0D25D9;*/
    color: black;
    font-family: 'Poppins', sans-serif;
     text-shadow: 2px 2px 4px rgba(0,0,0,0.5); /* sombra para contraste */
}

section#inicio h3{
    text-align: center;
    font-size: 3em;
    color: black;  
    margin-top: 50px;
    margin-bottom: 50px;
}

footer {
    background-color: #072b78ee;
    color: white;
    margin-top: 15px;
    text-align: left; /* 👈 CAMBIAR ESTO #0a379aee */
    padding: 20px;

}

.contenedor-footer {
    display: flex;
    flex-direction: column;
    align-items: stretch;
}

.footer-flex{
    display: flex;
    justify-content: space-between;
    align-items: flex-start; /* mejor centrado vertical */
    margin-top: 20px;
    gap: 20px; 
}

.contenido-f {
    font-family: Arial, sans-serif;
    color:white;
    font-size: 1.1em;
    width: 40%; /* ocupa la mitad */
    text-align: left; /* alineado a la izquierda */
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.contenido-f p{
    margin: 0;;
    line-height: 1.6;
}

.contenedor-footer h3{
    font-size: 2.7em;
    margin-top: 10px;
    text-align: center;
    margin-bottom: 10px;
}

.text{
    color:black;
    font-size: 1.1em;
    font-weight: bold;
    text-shadow: 1px 1px 3px rgba(0,0,0,0.5);
}

.facebook-link{
    color:white;
    display: flex;
    align-items: center;
    /*margin-top: 23px;*/
    gap:10px;
    text-decoration: none;
    transition: 0.3s;
}

.facebook-link i{
    font-size: 25px;
}

.facebook-link:hover{
    color: #06044e;
}

.mapa{
   /* margin-top: 15px;*/
    width: 60%; /* ocupa la otra mitad */
}

.mapa iframe{
    width: 100%; /* que se adapte al contenedor */
    height: 250px;
    border-radius: 10px;
}

/*ESTILO PARA SECCION SUGERENCIAS*/
section#sugerencias {
    min-height: 450px; 
    padding-top: 100px; 
    margin-top: 0px;   
    text-align: center;
}

.buzon{
    background-color:white;
    width: 90%;
    max-width: 1000px;
    margin: 35px auto;
    padding: 15px;
    border-radius: 12px;
    box-shadow: 0px 5px 15px rgba(0,0,0,0.1);
}

section#sugerencias h2{
    font-size: 2.3em;
    color:#0a1b99;
    font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
    margin-top: 30px;
    margin-bottom: 40px;
}

#sugerencias p{
    font-size: 1.3em;
    font-family:'Arial', sans-serif;
    margin-bottom: 40px;
}

#sugerencias span{
    /*display: inline-block;*/
    font-family:'Arial', sans-serif;
    font-size: 1.1em;
    color: black;   
    text-align: left; 
    margin-right: 165px; 
    /*vertical-align:middle; */ 
   
}

#sugerencias input {
    width: 265px; /*define el ancho del input*/
    height: 45px;
    padding: 8px; /*agrega un espacio interno*/
   /* border-radius: 5px;*/ /*redondea las esquinas*/
    /*define el grosor, color del borde input*/
    border: 0.5px solid #cccccc;
    margin-bottom: 20px;
}

#sugerencias input[type="submit"]{
    background-color: #0a1b99;
    font-family:'Arial', sans-serif;
    font-weight: bold;
    color: white;
    font-size: 1em;
    border-radius: 5px; /*redondear los bordes*/
    border: 1px solid #ccc;
    padding:10px 20px;
    width: 150px;
    margin-top: 15px;
    margin-bottom: 35px;
}

.m-correcto{
    color: green;
}

.m-incorrecto{
    color:red;
}

/* ===== SUBMENÚ DESPLEGABLE SI FUNCIONA===== */
/* Oculta el submenú */
.submenu {
    display: none;
    position: absolute;
    background-color: hsl(59, 93%, 52%); /*mismo color del menú #FFFF33;*/ 
    top: 100%; /* aparece debajo*/
    left: 0;
    width: 180px;
    z-index: 1000;
}


/* Cada opción del submenú */
.submenu li {
    display: block;
    width: 100%;

}

/* Links del submenú */
.submenu li a {
    padding: 10px;
    display: block;

}

/* Mostrar submenú al pasar el mouse */
.dropdown:hover .submenu {
    display: block;
}

.submenu li a:hover {
    background-color: rgb(254, 241, 56);
}

/*PRUEBA DEL CARRUSEL */
/* ===== CARRUSEL ===== */

.carrusel {
    position: relative;
    width: 100%;
    max-width: 100%;
    margin: 40px auto;
    overflow: hidden;
}


.slides {
    position: relative;
}

.slide {
    width: 100%;
    display: none;
    height: 500px;
    object-fit: cover;
    border-radius: 0px;
}

.slide.active {
    display: block;
}

/* Botones */
.prev, .next {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    background-color: rgba(0,0,0,0.5);
    color: white;
    border: none;
    font-size: 25px;
    padding: 10px;
    cursor: pointer;
    border-radius: 50%;
}

.prev {
    left: 15px;
}

.next {
    right: 15px;
}

.prev:hover, .next:hover {
    background-color: rgba(0,0,0,0.8);
}

.seccion {
    padding-top: 100px;
    margin-bottom: 40px;
    display: flex; 
    justify-content: center;
    align-items: stretch; 
    gap: 20px; 
}

.img-design {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 15px;
    border: 2px solid #3b91d7;
    /*box-shadow: 1px 8px 10px #2a8dde;  #4f73f4*/
}

.contenido-noticia{
    background-color: #F5F5F5;
    box-shadow: 1px 8px 10px #3b91d7;
    padding: 30px;
    width: 650px;
    border-radius: 10px;
    font-family: Arial, sans-serif;
    text-align: justify;
}

.reversa {
    flex-direction: row-reverse;
}

.contenido-noticia h2{
    color:#2A038C;
    margin-bottom: 15px;
    font-family: 'Poppins', sans-serif;
    font-size: 26px;
    margin-bottom: 10px;
    padding: 5px;
}

.contenido-noticia p{
   font-family: 'Open Sans', Arial, sans-serif;
   font-size: 17px;
   line-height: 1.6;
   margin-bottom: 10px;
}

.titulo-principal{
    margin-top: 100px;
    font-family: 'Poppins', sans-serif;
    text-align: center;
    font-size: 45px;
    color: #c00;
    letter-spacing: 1px;
}

.mensaje {
    margin-top: 30px;
    font-family: 'Poppins', sans-serif;
    font-size: 27px;
    color: #1529c5;
    font-weight: bold;
    text-align: center;
}
/*AQUI VOY MODIFICANDO 12/05/2026*/
.seccion-contenido {
    padding-top: 120px;
    display: flex; /*pone los elementos en fila (horizontal)*/
    justify-content: center;
    align-items: center;/*controla la altura de los elementos dentro del flex*/
    gap: 30px; /*crear espacio entre los elementos*/
    flex-wrap: wrap;  
}

/* CONTENEDOR DE IMAGEN */
.contenedor-imagen {
    width: 500px;   /* mismo tamaño que el contenido */
    height: 350px;
    display: flex;
}

.contenedor-imgevento{
    width: 100%;
    max-width: 500px;
    height: 350px;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
}

.contenedor-imgevento img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 5px;
    cursor: pointer;
    transition: transform 0.3s ease;
}

/* efecto al pasar el mouse */
.contenedor-imgevento img:hover{
    transform: scale(1.14);
}


/* IMAGEN #d85b59; */
.img-izquierda {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 15px;
    border: 1px solid #d85b59;;
    box-shadow: 0 8px 20px rgba(187, 28, 28, 0.40);
}

/* CAJA DE TEXTO */
.contenido-box {
    background-color: white;
    padding: 20px;
    width: 100%;
    max-width: 650px; /* 👈 mantiene tu tamaño pero flexible */
    border-radius: 10px;
    font-family: Arial, sans-serif;
    text-align: justify;
   
}
/*AQUI FIN DE CODIGO*/

.contenido-box h2{
    font-family: 'Poppins', sans-serif;
    font-size: 26px;
    color:rgb(17, 7, 152);
    margin-bottom: 10px;
    padding: 5px;
}

.contenido-box p{
   font-family: 'Open Sans', Arial, sans-serif;
   font-size: 17px;
   line-height: 1.6;
}

.contenido-eventos{
    background-color: #F5F5F5;
    box-shadow: 1px 8px 10px #a6ae0e;
    padding: 30px;
    width: 650px;
    border-radius: 10px;
    font-family: Arial, sans-serif;
    text-align: justify;
}

.contenido-eventos h2{
    color:#2A038C;
    margin-bottom: 15px;
    font-family: 'Poppins', sans-serif;
    font-size: 26px;
    padding: 5px;
}

.contenido-eventos p{
   font-family: 'Open Sans', Arial, sans-serif;
   font-size: 17px;
   line-height: 1.6;
}

.btn-galeria {
   
    margin-top: 35px;
    margin-bottom: 20px;
    color:white;
    background-color: #868689;
    padding: 5px 10px;
   border: none;
    border-radius: 5px;
}

.btn-galeria i{
    margin-right: 6px;
}

.galeria{
    display:flex;
    flex-wrap:wrap;
    gap:25px;
    justify-content: center;
}

.img-galeria{
    overflow: hidden;
}

.img-galeria img{
    width:190px;
    height:150px;
    object-fit:cover;
    cursor:pointer;
    border-radius:5px;
    transition:0.3s;
    border: 1.5px solid #cccccc;
}

/* efecto al pasar el mouse */
.img-galeria img:hover{
    transform:scale(1.10);
}

.modal{
    display:none;
    position:fixed;
    z-index:1000;
    left:0;
    top:0;
    width:100%;
    height:100%;
    background:rgba(0,0,0,0.8);

    justify-content:center;
    align-items:center;
}

.modal-contenido{
    max-width:90%;
    max-height:90%;
    border-radius:10px;
}

.cerrar-modal{
    position:absolute;
    top:20px;
    right:55px;
    font-size:50px;
    color:white;
    cursor:pointer;
    font-weight:bold;
    transition:0.2s;
}

.cerrar-modal:hover{
    color:red;
    transform:scale(1.2);
}
/*PARA AGRANDAR IMAGEN CON CLICK*/


.img-estilo {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 15px;
    border: 1px solid #a6ae0e;
}

.contenido-comunicado{
    width: 650px;
    max-width: 800px;
    background: #ffffff;
    border-radius: 12px;
    padding: 20px;
    box-shadow: 0 6px 15px rgba(0,0,0,0.15);
}

.contenedor-comunicado{
    display: flex;
    justify-content: center;
}

.contenido-comunicado h2{
    color:#2A038C;
    margin-bottom: 15px;
    font-family: 'Poppins', sans-serif;
    font-size: 26px;
    padding: 5px;
}

.img-comunicado{
    width: 100%;
    height: auto;       
    display: block;
    object-fit: contain; 
}